Which version of macOS is compatible with Findings?


#1

Findings 2 requires macOS 10.11 or higher

Download the latest version




Running an older version of macOS?
Findings 1.4.5 is compatible with macOS 10.10: download older version 1.4.5
Findings 1.4.4 is compatible with macOS 10.9: download older version 1.4.4